package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridGroupLand;
import com.ruoyi.system.domain.grid.GridGroupLandExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridGroupLandMapper {
    long countByExample(GridGroupLandExample example);

    int deleteByExample(GridGroupLandExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridGroupLand record);

    int insertSelective(GridGroupLand record);

    List<GridGroupLand> selectByExample(GridGroupLandExample example);

    GridGroupLand selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridGroupLand record, @Param("example") GridGroupLandExample example);

    int updateByExample(@Param("record") GridGroupLand record, @Param("example") GridGroupLandExample example);

    int updateByPrimaryKeySelective(GridGroupLand record);

    int updateByPrimaryKey(GridGroupLand record);
}